package com.yeejoin.amos.fas.business.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * @author suhg
 */
@ApiModel(description = "绑定点参数实体")
public class BindPointBo extends BasePointPositionBo{
    /**
     * 点id
     */
    @NotNull
    @ApiModelProperty("巡检点id")
    private Long pointId;

    /**
     * 点类型枚举
     */
    @NotNull
    @ApiModelProperty("点类型")
    private String pointType;

    public Long getPointId() {
        return pointId;
    }

    public void setPointId(Long pointId) {
        this.pointId = pointId;
    }

    public String getPointType() {
        return pointType;
    }

    public void setPointType(String pointType) {
        this.pointType = pointType;
    }
}
